﻿[xml]$xaml = @"
<Window
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    x:Name="Window"
        Title="Ma PowerShell GUI" Height="160.252" Width="382.682">
    <Grid>
        <Border BorderBrush="#FF00FD3A" BorderThickness="1" HorizontalAlignment="Left" Height="51" Margin="12,0,0,0" VerticalAlignment="Top" Width="323" Background="#FFB0FBB0"/>
        <Label Content="Copie TextBox vers Label" HorizontalAlignment="Left" Margin="14,0,0,0" VerticalAlignment="Top" Width="142"/>
        <TextBox x:Name="TxtBox" HorizontalAlignment="Left" Height="23" Margin="17,25,0,0" TextWrapping="Wrap" Text="" VerticalAlignment="Top" Width="139"/>
        <Button x:Name="Bt_OK" Content="OK" HorizontalAlignment="Left" Margin="161,25,0,0" VerticalAlignment="Top" Width="50" Background="White" Foreground="#FF007005" BorderBrush="#FF007A11"/>
        <Label x:Name="Lbl" Content="" HorizontalAlignment="Left" Margin="216,22,0,0" VerticalAlignment="Top" Width="108"/>
        <Border BorderBrush="#FFFB0000" BorderThickness="1" HorizontalAlignment="Left" Height="54" Margin="12,56,0,0" VerticalAlignment="Top" Width="323" Background="#FFFFB1B1"/>
        <Label Content="Mettre du texte dans une liste déroulante et lire le choix" HorizontalAlignment="Left" Margin="14,56,0,0" VerticalAlignment="Top" Width="329"/>
        <ComboBox x:Name="cBox" HorizontalAlignment="Left" Margin="17,82,0,0" VerticalAlignment="Top" Width="120"/>
        <Button x:Name="ReadcBox" Content="Read" HorizontalAlignment="Left" Margin="142,82,0,0" VerticalAlignment="Top" Width="69" Background="White" Foreground="Red" BorderBrush="Red"/>
        <Label x:Name="LblcBox" Content="" HorizontalAlignment="Left" Margin="216,75,0,0" VerticalAlignment="Top" Width="108" Height="29"/>
        <Button x:Name="Reset" Content="Reset" HorizontalAlignment="Stretch" Margin="305,45,-28,0" VerticalAlignment="Top" Width="98" Height="18" RenderTransformOrigin="0.5,0.5" Background="White" BorderBrush="#FF020202" OpacityMask="Black">
            <Button.RenderTransform>
                <TransformGroup>
                    <ScaleTransform/>
                    <SkewTransform/>
                    <RotateTransform Angle="90.018"/>
                    <TranslateTransform/>
                </TransformGroup>
            </Button.RenderTransform>
        </Button>
    </Grid>
</Window>
"@
$reader = (New-Object System.Xml.XmlNodeReader $xaml)
$window = [Windows.Markup.XamlReader]::Load($reader)

#Définition des variables en fonction des noms des éléments (bouton, text box, label ...)
$Bt_OK = $window.FindName("Bt_OK")
$TxtBox = $window.FindName("TxtBox")
$Lbl = $window.FindName("Lbl")
$cBox = $window.FindName("cBox")
$ReadBox = $window.FindName("ReadcBox")
$LblcBox = $window.FindName("LblcBox")
$Reset = $window.FindName("Reset")

#Lors d'un clique sur le bouton "OK", on affiche dans le Label de texte de la textBox dans le Label
$Bt_OK.add_Click({
    $Lbl.Content = $TxtBox.Text
})

#Remplissage d'une comboBox
$ListeGr1 = "user01","user02","user03"
Foreach ($Usergr1 in $ListeGr1)
{
    $cBox.AddChild($Usergr1)   
}

#Lors d'un clique sur le bouton "Read", on affiche dans le choix de la comboBox dans le Label
$ReadBox.add_Click({
    $LblcBox.Content =$cbox.SelectedItem.ToString()
})

#Reset des boxes rouge et verte
$Reset.add_Click({
    $TxtBox.text = ""
    $Lbl.Content = ""
    $LblcBox.Content = ""
    $cBox.Text = "" #reset de la sélection de la combobox
})

$window.ShowDialog()